summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorVictor "Nate" Graf <nategraf1@gmail.com>2017-12-21 19:48:14 (GMT)
committerGitHub <noreply@github.com>2017-12-21 19:48:14 (GMT)
commit302005ca8ae14eade37ddf4ac6e900617c1c166a (patch)
treedf32e188ca3c3c2bec14d61b477e54dd4b2fe0c8 /build.sh
parent0e4662c8911e3cf80eaaa446f280d7694ac09733 (diff)
downloadcoreclr-302005ca8ae14eade37ddf4ac6e900617c1c166a.zip
coreclr-302005ca8ae14eade37ddf4ac6e900617c1c166a.tar.gz
coreclr-302005ca8ae14eade37ddf4ac6e900617c1c166a.tar.bz2
Revert "Enable EventPipe across Unix and Windows (#14772)" (#15609)
This reverts commit 7524d72d4f0f634fe5407280b83c25181dc8c556.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh67
1 files changed, 51 insertions, 16 deletions
diff --git a/build.sh b/build.sh
index f10d5b8..415736a 100755
--- a/build.sh
+++ b/build.sh
@@ -194,9 +194,28 @@ generate_event_logging_sources()
fi
# Event Logging Infrastructure
- __GeneratedIntermediate="$__IntermediatesDir/eventing"
- __GeneratedIntermediateEventProvider="$__GeneratedIntermediate/eventprovider"
- __GeneratedIntermediateEventPipe="$__GeneratedIntermediate/eventpipe"
+ __GeneratedIntermediate="$__IntermediatesDir/Generated"
+ __GeneratedIntermediateEventProvider="$__GeneratedIntermediate/eventprovider_new"
+ __GeneratedIntermediateEventPipe="$__GeneratedIntermediate/eventpipe_new"
+
+ if [[ -d "$__GeneratedIntermediateEventProvider" ]]; then
+ rm -rf "$__GeneratedIntermediateEventProvider"
+ fi
+
+ if [[ -d "$__GeneratedIntermediateEventPipe" ]]; then
+ rm -rf "$__GeneratedIntermediateEventPipe"
+ fi
+
+ if [[ ! -d "$__GeneratedIntermediate/eventprovider" ]]; then
+ mkdir -p "$__GeneratedIntermediate/eventprovider"
+ fi
+
+ if [[ ! -d "$__GeneratedIntermediate/eventpipe" ]]; then
+ mkdir -p "$__GeneratedIntermediate/eventpipe"
+ fi
+
+ mkdir -p "$__GeneratedIntermediateEventProvider"
+ mkdir -p "$__GeneratedIntermediateEventPipe"
__PythonWarningFlags="-Wall"
if [[ $__IgnoreWarnings == 0 ]]; then
@@ -206,38 +225,54 @@ generate_event_logging_sources()
if [[ $__SkipCoreCLR == 0 || $__ConfigureOnly == 1 ]]; then
echo "Laying out dynamically generated files consumed by the build system "
- echo "Laying out dynamically generated Event test files, etmdummy stub functions, and external linkages"
- $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genEventing.py" --inc $__IntermediatesDir/src/inc --dummy $__IntermediatesDir/src/inc/etmdummy.h --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --testdir "$__GeneratedIntermediateEventProvider/tests"
+ echo "Laying out dynamically generated Event Logging Test files"
+ $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genXplatEventing.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --exc "$__ProjectRoot/src/vm/ClrEtwAllMeta.lst" --testdir "$__GeneratedIntermediateEventProvider/tests"
if [[ $? != 0 ]]; then
exit
fi
- echo "Laying out dynamically generated EventPipe Implementation"
- $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genEventPipe.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventPipe"
-
- #determine the logging system
case $__BuildOS in
Linux|FreeBSD)
- echo "Laying out dynamically generated Event Logging Implementation of Lttng"
- $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genLttngProvider.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventProvider"
+ echo "Laying out dynamically generated EventPipe Implementation"
+ $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genEventPipe.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventPipe" --exc "$__ProjectRoot/src/vm/ClrEtwAllMeta.lst"
if [[ $? != 0 ]]; then
exit
fi
;;
*)
- echo "Laying out dummy event logging provider"
- $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genDummyProvider.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventProvider"
+ ;;
+ esac
+
+ #determine the logging system
+ case $__BuildOS in
+ Linux|FreeBSD)
+ echo "Laying out dynamically generated Event Logging Implementation of Lttng"
+ $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genXplatLttng.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventProvider"
if [[ $? != 0 ]]; then
exit
fi
;;
+ *)
+ ;;
esac
+ fi
- if [[ $__CrossBuild == 1 ]]; then
- cp -r $__GeneratedIntermediate $__CrossCompIntermediatesDir
- fi
+ echo "Cleaning the temp folder of dynamically generated Event Logging files"
+ $PYTHON -B $__PythonWarningFlags -c "import sys;sys.path.insert(0,\"$__ProjectRoot/src/scripts\"); from Utilities import *;UpdateDirectory(\"$__GeneratedIntermediate/eventprovider\",\"$__GeneratedIntermediateEventProvider\")"
+ if [[ $? != 0 ]]; then
+ exit
+ fi
+
+ rm -rf "$__GeneratedIntermediateEventProvider"
+
+ echo "Cleaning the temp folder of dynamically generated EventPipe files"
+ $PYTHON -B $__PythonWarningFlags -c "import sys;sys.path.insert(0,\"$__ProjectRoot/src/scripts\"); from Utilities import *;UpdateDirectory(\"$__GeneratedIntermediate/eventpipe\",\"$__GeneratedIntermediateEventPipe\")"
+ if [[ $? != 0 ]]; then
+ exit
fi
+
+ rm -rf "$__GeneratedIntermediateEventPipe"
}
build_native()